import multer from 'multer';
import { AttachmentModel } from '.';
declare const _default: {
    make(storage: any): multer.StorageEngine;
    defaults(): {
        title: string;
        type: string;
        name: string;
        baseUrl: string;
        options: {
            documentRoot: string;
        };
    };
    delete(storage: any, records: AttachmentModel[]): Promise<[number, AttachmentModel[]]>;
};
export default _default;
